# Uses of Class
org.apache.sysds.hops.codegen.template.TemplateBase

Packages that use TemplateBase
Package
Description
org.apache.sysds.hops.codegen.template

## Uses of TemplateBase in org.apache.sysds.hops.codegen.template

Subclasses of TemplateBase in org.apache.sysds.hops.codegen.template
Modifier and Type
Class
Description
`class`
`TemplateCell`
`class`
`TemplateMultiAgg`
`class`
`TemplateOuterProduct`
`class`
`TemplateRow`
Fields in org.apache.sysds.hops.codegen.template declared as TemplateBase
Modifier and Type
Field
Description
`static final TemplateBase[]`
TemplateUtils.`TEMPLATES`
Methods in org.apache.sysds.hops.codegen.template that return TemplateBase
Modifier and Type
Method
Description
`static TemplateBase[]`
TemplateUtils.`createCompatibleTemplates(TemplateBase.TemplateType type, TemplateBase.CloseType ctype)`
`static TemplateBase`
TemplateUtils.`createTemplate(TemplateBase.TemplateType type)`
`static TemplateBase`
TemplateUtils.`createTemplate(TemplateBase.TemplateType type, TemplateBase.CloseType ctype)`
Methods in org.apache.sysds.hops.codegen.template that return types with arguments of type TemplateBase
Modifier and Type
Method
Description
`List<TemplateBase>`
CPlanMemoTable.`getDistinctTemplates(long hopID)`
Constructors in org.apache.sysds.hops.codegen.template with parameters of type TemplateBase
Modifier
Constructor
Description
``
`MemoTableEntrySet(Hop hop, Hop c, TemplateBase tpl)`